- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 9b315096-9a84-4cd0-8d7a-a6a0d7399e00
    creation_time: 2023-02-17T13:42:10.381103Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: 6 * y * y * y * y * y + 15 * y * y * y * y + 10 * y * y * y - 30 * x - y == 0 && c == y && (c <= k || k < 0 && 0 == c)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a1cc8736-74b6-461a-adb7-fbd15c1cb50a
    creation_time: 2023-02-17T13:42:10.381493Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 27
    column: 0
    function: main
  location_invariant:
    string: 6 * y * y * y * y * y + 15 * y * y * y * y + 10 * y * y * y - 30 * x - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e96fcd28-6ba7-4339-ba49-31dc0b5f3aba
    creation_time: 2023-02-17T13:42:10.381654Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 38
    column: 0
    function: main
  location_invariant:
    string: 6 * y * y * y * y * y + 15 * y * y * y * y + 10 * y * y * y - 30 * x - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a156316a-1194-4cfd-9222-bab2383837ad
    creation_time: 2023-02-17T13:42:10.381736Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps5.c
      input_file_hashes:
        c/nla-digbench/ps5.c: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps5.c
    file_hash: 75035fa3f0906c231d17ae5ee7268afeafad4874ea03c5ffa88d3c2d4999f0b5
    line: 38
    column: 0
    function: main
  location_invariant:
    string: k * y == y * y
    type: assertion
    format: C

